﻿//因为页面表格较多，每次操作一张表格时需要切换gridManager
var gridManager = null, refreshFlag = false;

//定义生成表格的参数对象
var bomObj={
	parms:{},
	node:"",
	url:"",
	columns:[
		{ display: "物料", name: "materialName", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "物料数量", name: "materialNumber", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "产品", name: "productId", width: 120, minWidth: 60, type: "string", align: "left" }
	]
}
var technologyObj={
	parms:{},
	node:"technologyGrid",
	url:"slicedTechnologyList",
	gridManager:null,
	columns:[
		{ display: "工艺路线名称", name: "technologyName", width: 200, minWidth: 60, type: "string", align: "left" }
	]
}
var processObj={
	parms:{},
	node:"processGrid",
	url:"slicedTechnologyProcessList",
	gridManager:null,
	columns:[
		{ display: "工序内容", name: "processContent", width: 140, minWidth: 60, type: "string", align: "left", hidden: true  },
		{ display: "工序名称", name: "processName", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "工序说明", name: "processRemark", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "工序类别", name: "processTypeTextView", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "工时", name: "workHours", width: 120, minWidth: 60, type: "string", align: "left" }
	]
}

var processBomObj={
	parms:{},
	node:"",
	url:"",
	columns:[
		{ display: "物料", name: "materialId", width: 140, minWidth: 60, type: "string", align: "left", hidden: true  },
		{ display: "SAP物料详细信息", name: "materialName", width: 140, minWidth: 60, type: "string", align: "left" },
		{ display: "使用的物料数量", name: "materialNumber", width: 120, minWidth: 60, type: "string", align: "left" },
		{ display: "物料计量单位", name: "productName", width: 120, minWidth: 60, type: "string", align: "left" }
	]
}

//创建表格（参数、列、插入的节点、请求地址）
function loadProofingApplyGrid(obj) {
	// const toolbarOptions= UICtrl.getDefaultToolbarOptions({
	// 	addHandler: addHandler,
	// 	updateHandler() {
	// 		updateHandler();
	// 	},
	// 	deleteHandler: deleteHandler,
	// })

	obj.gridManager =  UICtrl.grid("#"+obj.node, {
		columns: obj.columns,
		dataAction: "server",
		url: web_app.name +'/proofingApply/'+obj.url+'.ajax',
		parms:obj.parms,
		pageSize: 10,
		usePager: true,
		// toolbar: toolbarOptions,
		width: "50%",
		height: 400,
		heightDiff: -8,
		fixedCellHeight: true,
		selectRowButtonOnly: true
	});
	UICtrl.setSearchAreaToggle(obj.gridManager);
}


/**
 * 切换gridManager
 * 定义监听器、操作对应表格是自动切换
 */
function switchGridManager() {
	$("#technology").on("click", "*", function(event) {
		if(gridManager==technologyObj.gridManager)return;
		gridManager=technologyObj.gridManager;
	});
	$("#process").on("click", "*", function(event) {
		if(gridManager==processObj.gridManager)return;
		this.gridManager=processObj.gridManager;
	})
}

$(document).ready(function() {
	initializateUI();
	bindQueryEvent();
	// Public.updateDefaultValue($("#productId"));
	// echo("productType")
	switchGridManager();
	a();
});
// function echo(node){
// 	$("#"+node+"_text").val($("#"+node).val())
// }



function initializateUI() {
	UICtrl.layout("#layout", {leftWidth: 3});

}



//绑定selectC
function bindQueryEvent(){
	$('#productId').searchbox({
		type : "product",name : "productCode",
		onChange:function(value,data){
			$('#productId').val(data.productId);

			if(technologyObj.gridManager!=null){
				gridManager=technologyObj.gridManager;//手动切换gridManager
				reloadGrid({productId:data.productId});

				gridManager=processObj.gridManager;//手动切换gridManager
				reloadGrid({ technologyId:-1 });
			}else {
				technologyObj.parms={productId:data.productId};
				loadProofingApplyGrid(technologyObj);
			}

		}
	});
}


function updateHandler(id){
	if(!id){
		var id = DataUtil.getUpdateRowId(gridManager);
		if (!id){ return; }
	}
	UICtrl.showAjaxDialog({
		url: web_app.name + '/codeRule/showLoadCodeRule.load',
		title: "修改BOM",
		width: 340,
		param:{id:id},
		ok: function(div){
			var _self=this;
			$('#submitForm',div).ajaxSubmit({url: web_app.name + '/codeRule/updateCodeRule.ajax',
				success : function() {
					_self.close();
					reloadGrid();
				}
			});
		}
	});
}


// 查询
function query(obj) {
	var param = $(obj).formToJSON();
	UICtrl.gridSearch(gridManager, param);
}

/**
 * 刷新表格
 * @param parms 刷新时请求的参数
 */
function reloadGrid(parms) {
	if(parms!=null){
		gridManager.options.parms=parms
	}
	gridManager.loadData();

}

//重置表单
function resetForm(obj) {
	$(obj).formClean();
}

//关闭对话框
function dialogClose(){
	if(refreshFlag){
		reloadGrid();
		refreshFlag=false;
	}
}

//添加按钮
function addHandler() {
	UICtrl.showAjaxDialog({
		title: $.i18nProp('添加BOM'),
		url : web_app.name + '/proofingApply/forwardAddBom.load',
		ok : insert,
		width : 600,
		close : dialogClose
	});
}

//新增保存
function insert() {
	var _self=this;
	$('#submitDetailForm').ajaxSubmit({
		url : web_app.name + '/resourceField/saveResourceFiledValue.ajax',
		param:{},
		success : function(data) {
			if (data == "1"){
				Public.successTip("保存成功！");
			}
			_self.close();
			reloadGrid();
		}
	});
}

//编辑按钮
function updateHandler(id) {
	if (!id) {
		//获取所选行id
		id = DataUtil.getUpdateRowId(gridManager);
		if (!id) {
			return;
		}
	}
	UICtrl.showAjaxDialog({
		title: $.i18nProp('更新Bom'),
		width: 600,
		url: web_app.name + '/proofingApply/forwardAddBom.load',
		param: {id: id,resourceTypeId: $('#resourceTypeId').val()},
		ok: update,
		close:dialogClose
	});
}

//编辑保存
function update() {
	var _self=this;
	$('#submitDetailForm').ajaxSubmit({
		url : web_app.name + '/proofingApply/updateResourceFiledValue.ajax',
		success : function(data) {
			if (data == "1"){
				Public.successTip("修改成功！");
			}
			refreshFlag = true;
			_self.close();
			reloadGrid();
		}
	});
}

//删除按钮
function deleteHandler() {
	DataUtil.del({
		action: 'resourceField/deleteResourceFiledValue.ajax',
		param:{
			id:DataUtil.getUpdateRowId(gridManager),
			resourceTypeId: $('#resourceTypeId').val()
		},
		gridManager: gridManager, idFieldName: 'id',
		onSuccess: function (data) {
			if (data == "1"){
				Public.successTip("删除成功！");
			}
			reloadGrid();
		}
	});
}

/**
 * 流程引擎回调设置打样的id
 * @param value 打样申请的id
 */
function setId(proofingApplyId) {
	$("#proofingApplyId").val(proofingApplyId);
	// 为文件上传控件绑定业务id
}

/**
 * 流程引擎获取打样申请id的回掉方法。
 * @return 打样申请的id
 */
function getId() {
	return $("#proofingApplyId").val() || "";
}

function a(){
	$(document).on('click', '#technology .l-grid-row', function(event) {
		// 延迟执行新创建的点击事件逻辑，确保在当前点击事件逻辑之后执行
		setTimeout(function() {

			let result = DataUtil.getUpdateRow(gridManager); // 获取选中行
			processObj.parms = { technologyId: result.technologyId };
			if (processObj.gridManager != null) {
				gridManager = processObj.gridManager; // 手动切换 gridManager
				reloadGrid({ technologyId: result.technologyId });
			} else {
				loadProofingApplyGrid(processObj);
			}
		}, 0);
	});
}
