package com.huigou.topsun.proofing.controller;

import com.huigou.context.Operator;
import com.huigou.context.OrgUnit;
import com.huigou.topsun.proofing.application.ProofingApplyApplication;
import com.huigou.topsun.proofing.domain.model.ProofingApply;
import com.huigou.topsun.proofing.domain.vo.BomVo;

import com.huigou.topsun.proofing.service.BomService;
import com.huigou.topsun.technology.application.TechnologyApplication;
import com.huigou.topsun.technology.application.TechnologyProcessApplication;
import com.huigou.topsun.technology.domain.model.Technology;
import com.huigou.uasp.annotation.ControllerMapping;
import com.huigou.uasp.bmp.common.BizBillStatus;
import com.huigou.uasp.client.CommonController;
import com.huigou.uasp.log.annotation.LogInfo;
import com.huigou.uasp.log.domain.model.LogType;
import com.huigou.uasp.log.domain.model.OperationType;
import com.huigou.util.SDO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;

import javax.annotation.Resource;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Controller
@ControllerMapping("/proofingApply")
public class ProofingApplyController extends CommonController {
    protected String getPagePath() {
        return "/biz/topsun/proofing/";
    }


    @Autowired
    private BomService bomService;
    @Autowired
    ProofingApplyApplication proofingApplyApplication;
    @Autowired
    TechnologyApplication technologyApplication;

    @Resource
    private TechnologyProcessApplication technologyProcessApplication;

    public String slicedTechnologyProcessList(){
        SDO sdo = this.getSDO();
        String technologyId = sdo.getString("technologyId");
        return packGridDataAndResult(technologyProcessApplication.slicedTechnologyProcessList(technologyId));
    }
    /**
     * 打样表单页
     * @return
     */
    public String forwardProofingApply(){

        this.putAttribute("processDefinitionKey",ProofingApplyApplication.PROCESS_DEFINITION_KEY);
        String applicationNo="测试单号";
        this.putAttribute("procUnitId", "Apply");

        ProofingApply proofingApply = new ProofingApply();
        proofingApply.setProofingApplyNo(applicationNo);
        proofingApply.setStatusId(BizBillStatus.APPLYING.getId());
        Operator operator = getOperator();
        proofingApply.setDefaultValues(new OrgUnit(operator.getFullId(), operator.getFullName()));
        return forward("proofingApply",proofingApply);
    }

    public String slicedTechnologyList(){
        SDO sdo = this.getSDO();
        String productId = sdo.getString("productId");
        List<Technology> allByProduct= technologyApplication.findAllByProductId(productId);
        Map<String,Object> map =new HashMap();
        map.put("Rows",allByProduct);
        return toResult(map);
    }


    @LogInfo(logType = LogType.BIZ, subType = "", operaionType = OperationType.QUERY, description = "分页查询BOM表")
    public String slicedQueryBom() {
        SDO sdo = this.getSDO();
        String id = sdo.getId();
        List<BomVo> bom = bomService.getBomVoListByProductId(id);
        Map<String,Object> map =new HashMap();
        map.put("Rows",bom);
        return toResult(map);
    }



    /**
     * 跳转到打样申请详情页面
     */
    public String showProofingApply() {
        SDO sdo = this.getSDO();
        String id = sdo.getBizId();
        ProofingApply proofingApply = proofingApplyApplication.loadProofingApplyById(id);
        return forward("proofingApply", proofingApply);
    }
}
