package com.huigou.topsun.proofing.domain.vo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.huigou.data.domain.model.FlowBillAbstractEntity;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 样品制作表展示
 */
@Data
public class ProofingMakeVo{

    /**
     * 制作单id
     */
    @Column(name = "proofing_make_id")
    private String proofingMakeId;

    /**
     * 制作单号
     */
    @Column(name = "proofing_make_no")
    private String proofingMakeNo;


    /**
     * 申请单的主键id
     * proofing_apply表的主键是id列
     */
    @Column(name = "id")
    private String id;


    /**
     * 申请单id
     */
    @Column(name = "proofing_apply_id")
    private String proofingApplyId;



    /**
     * 申请单号
     */
    @Column(name = "proofing_apply_no")
    private String proofingApplyNo;

    /**
     * 产品id
     */
    @Column(name = "product_id")
    private String productId;

    /**
     * 客户id
     */
    @Column(name = "customer_id")
    private String customerId;

    /**
     * 版面需求时间
     */
    @Column(name = "proofing_apply_page_need_time")
    private Date proofingApplyPageNeedTime;

    /**
     * 完成日期
     */
    @Column(name = "proofing_apply_complete_date")
    private Date proofingApplyCompleteDate;

    /**
     * 中文样品名
     */
    @Column(name = "proofing_apply_sample_cn_name")
    private String proofingApplySampleCnName;

    /**
     * 英文样品名
     */
    @Column(name = "proofing_apply_sample_en_name")
    private String proofingApplySampleEnName;

    /**
     * 样品版次
     */
    @Column(name = "proofing_apply_sample_version")
    private Integer proofingApplySampleVersion;

    /**
     * 样品规格
     */
    @Column(name = "proofing_apply_sample_size")
    private Integer proofingApplySampleSize;

    /**
     * 样品数量
     */
    @Column(name = "proofing_apply_sample_num")
    private Long proofingApplySampleNum;

    /**
     * 产量情况
     */
    @Column(name = "proofing_apply_output_situation")
    private String proofingApplyOutputSituation;

    /**
     * 产品代号
     */
    @Column(name = "proofing_apply_product_no")
    private String proofingApplyProductNo;

    /**
     * 打样形式
     */
    @Column(name = "proofing_type")
    private String proofingType;

    /**
     * 版面
     */


    /**
     * 分配方式
     */
    @Column(name = "proofing_apply_allocation_type")
    private String proofingApplyAllocationType;

    /**
     * 产品类别
     */

    /**
     * 表面处理
     */
    @Column(name = "proofing_apply_surface_treatment")
    private String proofingApplySurfaceTreatment;

    /**
     * NG重新打样原因
     */
    @Column(name = "proofing_apply_ng_re_reason")
    private String proofingApplyNgReReason;

    /**
     *申请单状态
     */
    @Column(name = "proofing_apply_application_status")
    private String proofingApplyApplicationStatus;

    /**
     *测试标准
     */
    @Column(name = "proofing_apply_test_standard")
    private String proofingApplyTestStandard;

    /**
     *颜色种类
     */
    @Column(name = "color_type")
    private String colorType;
    /**
     *专
     */
    @Column(name = "expert")
    private String expert;

    /**
     * 网版目数
     */
    @Column(name = "printing_plate_num")
    private Integer printingPlateNum;

    /**
     *啤版目数
     */
    @Column(name = "beer_plate_num")
    private Integer beerPlateNum;

    /**
     *模切板目数
     */
    @Column(name = "die_board_num")
    private Integer dieBoardNum;

    //产品打样排版参数方面字段
    /**
     * 模数
     */
    @Column(name = "modulus")
    private Integer modulus;

    /**
     * 行数
     */
    @Column(name = "row_num")
    private Integer rowNum;

    /**
     * 列数
     */
    @Column(name = "column_num")
    private Integer columnNum;

    /**
     * 搭版数
     */
    @Column(name = "contact_num")
    private Integer contactNum;

    /**
     * 行双刀位(单位mm)
     */
    @Column(name = "row_double_blade")
    private Double rowDoubleBlade;

    /**
     * 列双刀位(单位mm)
     */
    @Column(name = "column_double_blade")
    private Double columnDoubleBlade;

    /**
     * 派工倍数
     */
    @Column(name = "dispatch_multiple")
    private Integer dispatchMultiple;

    /**
     * 印张长度(单位cm)
     */
    @Column(name = "sheet_length")
    private Double sheetLength;

    /**
     * 印张宽度(单位cm)
     */
    @Column(name = "sheet_width")
    private Double sheetWidth;

    /**
     * 产品印张设置(product_sheet_conf)
     */
    @Column(name = "product_sheet_conf")
    private String productSheetConf;

}